Subject: Re: [PATCH] net: phy: marvell: add special handling of Finisar modules with 81E1111

From: Russell King - ARM Linux admin <[email-masked]>
Date: Mon, 19 Oct 2020 22:08:53 +0100

On Mon, Oct 19, 2020 at 02:49:13PM -0600, Robert Hancock wrote:
> The Finisar FCLF8520P2BTL 1000BaseT SFP module uses a Marvel 81E1111 PHY

You mean 88E1111 here.

> with a modified PHY ID, and by default does not have 1000BaseX
> auto-negotiation enabled, which is not generally desirable with Linux
> networking drivers. Add handling to enable 1000BaseX auto-negotiation.
> Also, it requires some special handling to ensure that 1000BaseT auto-
> negotiation is enabled properly when desired.
> 
> Based on existing handling in the AMD xgbe driver and the information in
> the Finisar FAQ:
> https://www.finisar.com/sites/default/files/resources/an-2036_1000base-t_sfp_faqreve1.pdf

There's lots of modules that have the 88E1111 PHY on, and we switch
it to SGMII mode if it's not already in SGMII mode if we have access
to it. Why is your setup different?

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!